/**
 * @file
 * Javascript functionality for component process style.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentProcessStyle = Drupal.componentProcessStyle || {};
  Drupal.behaviors.process_style = {
    attach: function (context) {
      Drupal.componentProcessStyle.process_style(context);
    }
  }
  Drupal.componentProcessStyle.process_style = function (context) {
    const $process_style =  $('.component-wrapper--type-process_style', context).once('processStyleItems');
    if ($process_style.length > 0) {
      $process_style.each(function () {
        const $this = $(this);
        $('.component-wrapper--type-process_style > p:first').addClass('header-text');
        $('.component-wrapper--type-process_style > p:last').addClass('footer-text');
      })
    }
  }

})(jQuery, Drupal);
