/**
 * @file
 * Javascript functionality for component service block.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentServiceBlock = Drupal.componentServiceBlock || {};
  Drupal.behaviors.serviceblock = {
    attach: function (context) {
      Drupal.componentServiceBlock.serviceBlock(context);
    }
  }
  Drupal.componentServiceBlock.serviceBlock = function (context) {
    const $serviceBlock =  $('.component-builder.component-item--type-service-block', context).once('service-blockItems');
    if ($serviceBlock.length > 0) {
      if($('.component-item--type-service-block .component-item--content').length > 0 ) {
        $('.component-item--type-service-block .component-item--content ').matchHeight({});
        if($('.component-item--type-service-block .field--name-field-service-block-description').length > 0 ) {
          $('.component-item--type-service-block .field--name-field-service-block-description').matchHeight({});
        }
        if($('.component-item--type-service-block .field--name-title').length > 0 ) {
          $('.component-item--type-service-block .field--name-title').matchHeight({});
        }
      }
    }
  }

})(jQuery, Drupal);
